=== osso-mission-control 2.55 ===

2008-03-04  Alberto Mardegan  <alberto.mardegan@nokia.com>

	* src/mcd-voip-filter-plugin.c:
	Avoid calling the dispatcher twice (causes crash!). Fixes: NB#81811

=== osso-mission-control 2.54 ===

2007-12-21  Alberto Mardegan  <alberto.mardegan@nokia.com>

	* src/mcd-device-controller.[hc], src/mcd-voip-filter-plugin.c:
	When StreamEngine exists, abort all channels that require it to be
	running.

=== osso-mission-control 2.53 ===

2007-12-19  Alberto Mardegan  <alberto.mardegan@nokia.com>

	* src/mcd-voip-filter-plugin.c:
	Don't invoke StreamEngine if the channel doesn't implement the
	MediaSignalling interface.

=== osso-mission-control 2.52 ===

2007-12-11  Alberto Mardegan  <alberto.mardegan@nokia.com>

	* src/mcd-text-filter-plugin.c:
	Remove deprecated libtelepathy symbols.

=== osso-mission-control 2.51 ===

2007-10-23  Alberto Mardegan  <alberto.mardegan@nokia.com>

	* src/mcd-device-controller.c:
	Rename the ip-address parameter to local-ip-address.

=== osso-mission-control 2.50 ===

2007-10-08  Alberto Mardegan  <alberto.mardegan@nokia.com>

	* utils/mc-disconnect-script.in:
	Export the DBus environment variables, since ICD is not passing them.
	Fixes: NB#69606.

=== osso-mission-control 2.49 ===

2007-10-02  Alberto Mardegan  <alberto.mardegan@nokia.com>

	* configure.ac, utils/Makefile.am, utils/mc-disconnect.sh.in:
	Rename the script, otherwise it won't be run.

=== osso-mission-control 2.48 ===

2007-10-02  Alberto Mardegan  <alberto.mardegan@nokia.com>

	* configure.ac, utils/Makefile.am, utils/mc-disconnect.sh:
	Make mc-disconnect.sh executable. Fixes: NB#69606.

=== osso-mission-control 2.47 ===

2007-09-28  Alberto Mardegan  <alberto.mardegan@nokia.com>

	* src/mcd-device-controller.c:
	Get IP address from ICD and pass it to all connection managers that
	support the ip-address parameter.

=== osso-mission-control 2.46 ===

2007-09-27  Alberto Mardegan  <alberto.mardegan@nokia.com>

	* configure.ac, utils/Makefile.am,
	utils/com.nokia.mc_import.service.in, utils/mc-import.c,
	utils/mc-import.xml, utils/mc_import.desktop.in:
	Add the mc-import utility to handle the application/account+xml MIME
	type.

=== osso-mission-control 2.45 ===

2007-09-26  Alberto Mardegan  <alberto.mardegan@nokia.com>

	* src/mcd-text-filter-plugin.c:
	Avoid sending too many notifications at a time: no more than one
	notification every 3 seconds.

=== osso-mission-control 2.44 ===

2007-09-25  Alberto Mardegan  <alberto.mardegan@nokia.com>

	* src/mcd-text-filter-plugin.c:
	Remove a bogus g_object_unref(), fixing some possible memory
	corruption.

=== osso-mission-control 2.43 ===

2007-09-24  Alberto Mardegan  <alberto.mardegan@nokia.com>

	* src/mcd-voip-filter-plugin.c:
	Add missed call notification if libplayback check fails.
	Fixes: NB#70599.

=== osso-mission-control 2.42 ===

2007-09-18  Alberto Mardegan  <alberto.mardegan@nokia.com>

	* utils/Makefile.am, utils/mc-disconnect.sh:
	Move mc-disconnect binary to /usr/bin, and use a shell script to
	invoke it. This also takes care of checking if there are other active
	interfaces, because in that case we don't have to disconnect at all.

	* Makefile.am, configure.ac, utils/Makefile.am, utils/mc-disconnect.c:
	Create the mc-disconnect util, which will set the presence to offline
	when connectivity is going off.

=== osso-mission-control 2.41 ===

2007-09-14  Alberto Mardegan  <alberto.mardegan@nokia.com>

	* src/mcd-text-filter-plugin.c:
	Don't turn on display on incoming text channels.

=== osso-mission-control 2.40 ===

2007-09-11  Alberto Mardegan  <alberto.mardegan@nokia.com>

	* src/mcd-text-filter-plugin.c:
	Don't unreference the McAccount while we are still using it.

=== osso-mission-control 2.39 ===

2007-08-30  Alberto Mardegan  <alberto.mardegan@nokia.com>

	* src/mcd-text-filter-plugin.c:
	Send notification to contacts-plugin whenever a text message comes,
	even if we already have a notification there. Fixes: NB#67170.

=== osso-mission-control 2.38 ===

2007-08-27  Alberto Mardegan  <alberto.mardegan@nokia.com>

	* src/mcd-main.c:
	Start galago only if there are enabled accounts that support a roster.
	Fixes: NB#56686.

=== osso-mission-control 2.37 ===

2007-08-23  Alberto Mardegan  <alberto.mardegan@nokia.com>

	* src/mcd-text-filter-plugin.c:
	Don't request the alias for every incoming message, but only for the
	first one. Fixes: NB#64105.

	* src/mcd-filter-common.c:
	Don't call g_list_free() on NULL.

=== osso-mission-control 2.36 ===

2007-08-20  Alberto Mardegan  <alberto.mardegan@nokia.com>

	* src/Makefile.am, src/mcd-abook.[hc], src/mcd-filter-common.c,
	src/mcd-text-filter-plugin.c, src/mcd-voip-filter-plugin.c:
	Don't depend on osso-addressbook, but instead import the small parts
	of code we need.
	Fixes: NB#52761.

=== osso-mission-control 2.35 ===

2007-08-15  Alberto Mardegan  <alberto.mardegan@nokia.com>

	* configure.ac:
	No need to depend on libhildondesktop.

2007-08-01  Alberto Mardegan  <alberto.mardegan@nokia.com>

	* src/mcd-filter-common.c:
	Take as known contacts only those which have been added into
	the address book by the user (i.e., exclude recent contacts).
	Fixes: NB#64160,NB#63778.

=== osso-mission-control 2.34 ===

2007-07-13  Alberto Mardegan  <alberto.mardegan@nokia.com>

	* src/mcd-text-filter-plugin.c:
	Remove query to AddressBook to retrieve contact display name on
	incoming text messages. Fixes: NB#62865.

2007-07-10  Alberto Mardegan  <alberto.mardegan@nokia.com>

	* configure.ac:
	Update required version of libmissioncontrol.

	* src/mcd-voip-filter-plugin.c:
	When rejecting a call because one is already ongoing, set 'busy' as
	the reason.

2007-07-09  Alberto Mardegan  <alberto.mardegan@nokia.com>

	* src/mcd-device-controller.c:
	Don't perform the usual delayed shutdown when the device is being
	powered off, since there is no time for it. Just abort everything
	immediately.

=== osso-mission-control 2.33 ===

2007-07-05  Alberto Mardegan  <alberto.mardegan@nokia.com>

	* src/mcd-text-filter-plugin.c:
	Fix a possible crash, and increase debugging information.
	Fixes: NB#62155.

	* src/*.[hc]:
	Add/update copyright header.

=== osso-mission-control 2.32 ===

2007-06-29  Alberto Mardegan  <alberto.mardegan@nokia.com>

	* src/mcd-device-controller.[hc], src/mcd-voip-filter-plugin.c:
	Don't request a mode whenever we get a notification from MCE. Try to
	workaround MCE's broken mode reporting by remembering what mode we
	requested. Fixes: NB#55733.

	* configure.ac, src/Makefile.am, src/mcd-device-controller.c:
	Don't add a dependency on the oma provisioning service; link to it
	only if it is available.

	* configure.ac, src/Makefile.am, src/mcd-device-controller.c,
	src/mcd-provisioning-oma.[hc]:
	Add support for oma provisioning.

=== osso-mission-control 2.31 ===

2007-06-28  Alberto Mardegan  <alberto.mardegan@nokia.com>

	* src/mcd-text-filter-plugin.c:
	Activate the display on incoming chat. Fixes: NB#60624.

=== osso-mission-control 2.30 ===

2007-06-26  Alberto Mardegan  <alberto.mardegan@nokia.com>

	* src/mcd-text-filter-plugin.c, src/mcd-voip-filter-plugin.c:
	Cast the filter functions, since they prototype has been changed.

=== osso-mission-control 2.29 ===

2007-06-15  Alberto Mardegan  <alberto.mardegan@nokia.com>

	* configure.ac: Version 2.29.

	* src/Makefile.am:
	VOIP filter must depend on osso-contacts-plugin.

=== osso-mission-control 2.28 ===

2007-06-15  Alberto Mardegan  <alberto.mardegan@nokia.com>

	* configure.ac: Version 2.28.

	* src/Makefile.am:
	Remove useless dependency on osso-contacts-plugin. Fixes: NB#52761.

2007-06-14  Alberto Mardegan  <alberto.mardegan@nokia.com>

	* src/mcd-text-filter-plugin.c:
	Use osso_abook_contact_matches_chat_user() to determine if the contact
	name is to be shown. If there is no contact name, store the contact
	address. Fixes: NB#53605.

2007-06-13  Alberto Mardegan  <alberto.mardegan@nokia.com>

	* src/mcd-voip-filter-plugin.c:
	As long as the incoming call is not accepted/refused, re-enable
	touchscreen and keys. Fixes: NB#52597.

	* src/Makefile.am, src/mcd-device-controller.[hc],
	src/mcd-marshal.list, src/mcd-voip-filter-plugin.c:
	Use a signal instead of a simple callback, to let the caller
	disconnect it when the channel aborts.

2007-06-11  Alberto Mardegan  <alberto.mardegan@nokia.com>

	* src/mcd-device-controller.c:
	Count the number of media channels only right before setting the idle
	state, and not when setting the timeout. Fixes: NB#53251.

2007-06-08  Alberto Mardegan  <alberto.mardegan@nokia.com>

	* configure.ac, src/mcd-device-controller.[hc],
	src/mcd-voip-filter-plugin.c:
	Add a new VoIP filter for handling playback mode using libplayback.

	* configure.ac, src/Makefile.am, src/mcd-device-controller.c:
	Use MCE constants from mce-dev package.

2007-05-25  Alberto Mardegan  <alberto.mardegan@nokia.com>

	* src/mcd-device-controller.[hc]:
	Add mcd_device_controller_request_flag() and
	mcd_device_controller_get_flag_request() methods for keeping track of
	requested flags.
	Get display state from MCE. Fixes: NB#52578.

	* src/mcd-filter-common.c, src/mcd-voip-filter-plugin.c:
	Use new McdDeviceController API for requesting system states.
	Fixes: NB#53879.

=== osso-mission-control 2.27 ===

2007-05-11  Alberto Mardegan  <alberto.mardegan@nokia.com>

	* configure.ac: Version 2.27.

	* src/mcd-voip-filter-plugin.c:
	Add a new filter for monitoring missed calls and adding them to the
	notification area. Fixes: NB#56426.

2007-05-10  Alberto Mardegan  <alberto.mardegan@nokia.com>

	* src/mcd-device-controller.c:
	When getting disconnected, cancel last presence request.

=== osso-mission-control 2.26 ===

2007-05-03  Alberto Mardegan  <alberto.mardegan@nokia.com>

	* configure.ac: Version 2.26.

	* src/mcd-voip-filter-plugin.c:
	Add check_call_mode filter: if call mode is already set, block
	incoming and outgoing calls.

=== osso-mission-control 2.25 ===

2007-04-19  Alberto Mardegan  <alberto.mardegan@nokia.com>

	* configure.ac: Version 2.25.

	* src/mcd-device-controller.c:
	Don't set auto-away if a voip channel is open.

=== osso-mission-control 2.24 ===

2007-04-17  Alberto Mardegan  <alberto.mardegan@nokia.com>

	* configure.ac: Version 2.24.

	* configure.ac, src/mcd-device-controller.c:
	Switch from osso-ic to libconic.

	* src/mcd-main.c:
	Recognize MC_PERSIST environment variable to make MC persistent.

=== osso-mission-control 2.23 ===

2007-04-04  Alberto Mardegan  <alberto.mardegan@nokia.com>

	* configure.ac: Version 2.23.

	* src/mcd-device-controller.c:
	Keep a variable with requested flags, in case the notification
	callback is not procesed before a new request.

=== osso-mission-control 2.22 ===

2007-03-23  Alberto Mardegan  <alberto.mardegan@nokia.com>

	* configure.ac: Rename package and tag 2.22.

2007-03-14  Alberto Mardegan  <alberto.mardegan@nokia.com>

	* configure.ac: Version 2.21.

	* src/mcd-text-filter-plugin.c, src/mcd-voip-filter-plugin.c:
	Rewrite filters for new McdDispatcher API.

2007-03-09  Alberto Mardegan  <alberto.mardegan@nokia.com>

	* configure.ac: Version 2.20.

	* Makefile.am, configure.ac,
	com.nokia.chavo.mission_control.service.in,
	org.freedesktop.Telepathy.MissionControl.service.in:
	Renaming DBus service paths.

	* Makefile.am:
	* com.nokia.chavo.mission_control.service.in:
	* configure.ac:
	Adding DBus service file.

2007-03-02  Alberto Mardegan  <alberto.mardegan@nokia.com>

	* configure.ac:
	* debian/changelog:
	Version 2.19.

	* src/mcd-text-filter-plugin.c:
	Don't confuse Telepathy flags and ImTextLog ones.

2007-02-28  Alberto Mardegan  <alberto.mardegan@nokia.com>

	* configure.ac:
	* debian/changelog:
	Version 2.18.

	* src/mcd-text-filter-plugin.c:
	Store the contact's alias in libimlogger, if the contact is not known
	in the addressbook.

2007-02-07  Alberto Mardegan  <alberto.mardegan@nokia.com>

	* configure.ac:
	* debian/changelog:
	Version 2.17.

	* src/mcd-text-filter-plugin.c:
	Added a new filter for outgoing channels: its job is to remove the
	notifications pending in the contact plugin for the same channel being
	dispatched.

2007-02-06  Alberto Mardegan  <alberto.mardegan@nokia.com>

	* src/mcd-text-filter-plugin.c:
	Make use of mcd_channel_get_name().

	* configure.ac:
	* src/Makefile.am:
	Depend on libimlogger.

	* src/mcd-text-filter-plugin.c:
	Log to libimlogger all text messages received until channel is
	dispatched.

2007-02-02  Alberto Mardegan  <alberto.mardegan@nokia.com>

	* src/mcd-text-filter-plugin.c:
	Get all text messages from the channel, until it is dispatched.

2007-01-31  Alberto Mardegan  <alberto.mardegan@nokia.com>

	* configure.ac:
	* debian/changelog:
	Version 2.16.

	* src/mcd-voip-filter-plugin.c:
	Wake display even if another call is going on. Fixes: NB#51154.

2007-01-26  Alberto Mardegan  <alberto.mardegan@nokia.com>

	* src/mcd-text-filter-plugin.c:
	Remove delivery of pending messages to the contact-plugin on channel
	disconnected. Another solution is coming.

2007-01-23  Alberto Mardegan  <alberto.mardegan@nokia.com>

	* configure.ac:
	* debian/changelog:
	Version 2.15.

	* src/mcd-text-filter-plugin.c:
	Append all pending messages to contact plugin when an unhandled
	channel is closed.

2007-01-18  Alberto Mardegan  <alberto.mardegan@nokia.com>

	* configure.ac:
	* debian/changelog:
	Version 2.14.

	* src/mcd-filter-common.[hc]:
	* src/mcd-text-filter-plugin.c:
	* src/mcd-voip-filter-plugin.c:
	Don't use the EContactField for searching contacts, but the whole
	VCard. Fixes NB#50430.

2007-01-10  Alberto Mardegan  <alberto.mardegan@nokia.com>

	* configure.ac:
	* debian/changelog:
	Releasing 2.13.

	* debian/control:
	Depend on mission-control-dev 4.2.

	* src/mcd-text-filter-plugin.c:
	Merge fix from G tree: remove the display filter.

	* src/mcd-text-filter-plugin.c:
	* src/mcd-voip-filter-plugin.c:
	Sync with the latest changes in MC API.

2007-01-09  Alberto Mardegan  <alberto.mardegan@nokia.com>

	* src/mcd-device-controller.c:
	* src/mcd-filter-common.c:
	* src/mcd-text-filter-plugin.c:
	* src/mcd-voip-filter-plugin.c:
	Memleak hunting!

2007-01-05  Alberto Mardegan  <alberto.mardegan@nokia.com>

	* src/mcd-device-controller.c:
	Monitor the "state when connected" GConf key.

2007-01-04  Alberto Mardegan  <alberto.mardegan@nokia.com>

	* src/mcd-device-controller.c:
	Get the default presence setting from GConf, and set it in McdMaster.

	* src/mcd-main.c:
	If MC_DEBUG>=3 let normal shutdown happen, instead of calling exit(0).

2006-11-28  Alberto Mardegan  <alberto.mardegan@nokia.com>

	* configure.ac:
	* debian/changelog:
	Version 2.11.

	* src/mcd-filter-common.c, src/mcd-filter-common.h,
	src/mcd-text-filter-plugin.c:
	Remove useless battery_state filter.

	* src/mcd-device-controller.c:
	(_mcd_device_controller_battery_low_cb):
	When battery is low, set the MCD_SYSTEM_POWER_CONSERVED flag instead
	of memory conserved. Fixes NB#48530.

2006-11-09  Alberto Mardegan  <alberto.mardegan@nokia.com>

	* configure.ac:
	* debian/changelog:
	Version 2.10.

	* scripts/chavo-accounts.sh:
	Adding script for moving GConf account setting from the old path to
	the new one when restoring from a S+ backup. Fixes NB#45634.

	* src/mcd-filter-common.c: (contact_is_blocked):
	Turning a g_warning into a g_debug.

2006-11-01  Alberto Mardegan  <alberto.mardegan@nokia.com>

	* src/mcd-main.c: (osso_log_debug), (osso_log_warning), (main):
	Show PID in debug messages.

	* configure.ac:
	* debian/changelog:
	Version 2.9.

	* debian/rules:
	Compile with G_DISABLE_CAST_CHECKS.

	* configure.ac:
	Add independent configure flags for checks/cast checks/asserts.

	* src/mcd-main.c: (main):
	Call mcd_debug_init() to setup debugging messages.

2006-10-31  Alberto Mardegan  <alberto.mardegan@nokia.com>

	* configure.ac:
	Allow disabling of GLIB checks (G_DISABLE_ASSERT, G_DISABLE_CHECKS).

2006-10-30  Alberto Mardegan  <alberto.mardegan@nokia.com>

	* debian/rules:
	Enable stderr for messages.

	* src/mcd-main.c: (osso_log_debug), (osso_log_warning), (main):
	Installed g_log handlers for debug and warning messages, so that they
	follow common OSSO's behaviour.

2006-10-25  Alberto Mardegan  <alberto.mardegan@nokia.com>

	* configure.ac:
	* debian/changelog:
	Version 2.8.

	* src/mcd-voip-filter-plugin.c: (restore_system_lock):
	Do not restore the keyboard lock if an incoming call was accepted
	(fixes NB#44764).

2006-10-19  Alberto Mardegan  <alberto.mardegan@nokia.com>

	* configure.ac:
	* debian/changelog:
	Version 2.7.

	* src/mcd-voip-filter-plugin.c: (invoke_stream_engine):
	Delete old (and buggy) code about voip-engine.

2006-10-18  Naba Kumar  <naba.kumar@nokia.com>

	* configure.ac,	debian/control, src/mcd-text-filter-plugin.c,
	src/Makefile.am, src/mcd-voip-filter-plugin.c,
	src/mcd-filter-common.c:
	Used osso-contact-plugin for Task Navigator interface. Used
	libmissioncontrol for accounts config and removed dependency
	on libosso-rtcom library.

2006-10-17  Alberto Mardegan  <alberto.mardegan@nokia.com>

	* src/mcd-device-controller.c:
	(_mcd_device_controller_handle_tklock_status_getter),
	(_mcd_device_controller_keypad_lock_cb),
	(_mcd_device_controller_display_lit_cb),
	(mcd_device_controller_set_system_lock),
	(mcd_controller_set_flags), (mcd_device_controller_class_init):
	* src/mcd-filter-common.c: (mcdf_display_state):
	* src/mcd-filter-common.h:
	* src/mcd-voip-filter-plugin.c: (restore_system_lock),
	(mcdf_keylock_state):
	Move all code related to device lock and video brightness to
	McdDeviceController and manage it through McdMission set_flags()
	method.
	Unlock keyboard when on an incoming voice call, and restore the lock
	when it's ended (fixes #43040).

	* src/mcd-text-filter-plugin.c:
	Removed mcdf_keylock_state() call: don't needed for text channels.

2006-10-17  Naba Kumar  <naba.kumar@nokia.com>

	* src/mcd-text-filter-plugin.c, src/mcd-voip-filter-plugin.c:
	Added include to account header.
	* configure.ac: Bumped version to 2.5

2006-10-17  Alberto Mardegan  <alberto.mardegan@nokia.com>

	* configure.ac:
	* debian/changelog:
	Version 2.4.

2006-10-17  Alberto Mardegan  <alberto.mardegan@nokia.com>

	* src/mcd-device-controller.c:
	(_mcd_device_controller_device_state_filter_func),
	(_mcd_device_controller_set_mode):
	Moved the check for "mode_set_by_us" in the correct place, because
	wrong messages were being filtered.
	Free the mode_set message after sending it.

	* src/mcd-filter-common.c: (mcdf_display_state):
	Re-enable calls to OSSO functions to light the display.
	Fixes #43376, #43391.

2006-10-11  Alberto Mardegan  <alberto.mardegan@nokia.com>

	* src/mcd-text-filter-plugin.c: (_filter_channel_dispatched),
	(mcdf_contacts_plugin):
	If an incoming channel is aborted (for example on a network
	disconnection) before the user can click on the notification message,
	free the allocated resources and cancel the message (fixes #41744).
	Also add a forgotten free() and a check on the channel been
	dispatched/aborted.

2006-10-11  Alberto Mardegan  <alberto.mardegan@nokia.com>

	* configure.ac:
	* debian/changelog:
	Version 2.3.

2006-10-10  Alberto Mardegan  <alberto.mardegan@nokia.com>

	* src/mcd-device-controller.c: (_mcd_icd_status_changed_handler),
	(on_abort), (_mcd_device_controller_dispose):
	Keep track of active connections, and if we get disconnected when
	there are some other connections available, try to move to one of
	those (fixes #30552).  Also some minor fixes.

2006-10-09  Alberto Mardegan  <alberto.mardegan@nokia.com>

	* configure.ac:
	* debian/changelog:
	Version 2.2.

2006-10-09  Alberto Mardegan  <alberto.mardegan@nokia.com>

	* src/mcd-text-filter-plugin.c: (_filter_channel_dispatched),
	(_filter_contacts_plugin_cb), (mcdf_contacts_plugin):
	Handle correctly the case when the user opens an incoming channel
	not by clicking on the contact plugin alert, but instead requesting
	the channel as if it were a new one.

2006-10-06  Alberto Mardegan  <alberto.mardegan@nokia.com>

	* src/mcd-filter-common.c: (mcdf_display_state),
	(mcdf_keylock_state):
	* src/mcd-voip-filter-plugin.c: (on_channel_abort),
	(set_call_mode):
	Removed unnecessary code, fixed bug #42185.
	Disabling calls to osso_display_*() since these seem to interfere
	with D-BUS set_mode request (!!).

2006-10-05  Alberto Mardegan  <alberto.mardegan@nokia.com>

	* src/mcd-voip-filter-plugin.c: (on_channel_members_accepted),
	(_mcd_dispatcher_remove_channel_watch), (on_channel_abort_watch),
	(mcd_dispatcher_add_channel_watch), (set_call_mode):
	Imported mode setting stuff into voip filters from McdDispatcher.
	The code has been modified as little as possible from the original
	one, and it matches the old behaviour. Will correct it in another
	commit.

2006-10-03  Alberto Mardegan  <alberto.mardegan@nokia.com>

	* configure.ac:
	* debian/changelog:
	Version++

	* src/mcd-device-controller.c: (on_abort), (on_presence_requested):
	Listen to "abort" signal and release network connectivity.

	* src/mcd-main.c: (main):
	Use g_signal_connect_after() for "abort" signal, or we'll miss some
	handlers.

2006-09-28  Alberto Mardegan  <alberto.mardegan@nokia.com>

	* src/mcd-device-controller.c: (_mcd_device_controller_iap_cb),
	(on_presence_requested):
	If the user cancels a connectivity request we must cancel the
	presence request, too.

2006-09-28  Zeeshan Ali  <zeeshan.ali@nokia.com>

	* src/mcd-device-controller.c: Correct some minor indentation problems
        caused be previous commit.

2006-09-28  Zeeshan Ali  <zeeshan.ali@nokia.com>

	* src/mcd-device-controller.c:
	(_mcd_device_controller_shutdown_ind_cb),
	(_mcd_device_controller_battery_low_cb),
	(_mcd_device_controller_keypad_lock_cb),
	(_mcd_device_controller_device_mode_cb),
	(_mcd_device_controller_device_state_filter_func),
	(_mcd_device_controller_set_mode):
        Correct the check for mode-set signal.

2006-09-26  Zeeshan Ali  <zeeshan.ali@nokia.com>

	* src/mcd-voip-filter-plugin.c: (invoke_streamengine_cb),
	(invoke_voipengine):
        Port some code from the old mc to launch the stream-engine using it's
        new DBus API.

2006-09-26  Zeeshan Ali  <zeeshan.ali@nokia.com>

	* src/mcd-device-controller.c:
	(_mcd_device_controller_device_mode_cb),
	(_mcd_device_controller_set_mode):
        Do not listen to mode-set signal from dbus when we are emitting it
        ourself.

2006-09-26  Zeeshan Ali  <zeeshan.ali@nokia.com>

	* src/mcd-filter-common.c: (mcdf_validate_contact):
	* src/mcd-voip-filter-plugin.c: (mcd_filters_init),
	(one_call_at_a_time_filter):
        Fixed the check for number of open stream channels. Added some more
        debug.

2006-09-25  Naba Kumar  <naba.kumar@nokia.com>

	* src/mcd-filter-plugins.c: Removed dead file.

2006-09-25  Alberto Mardegan  <alberto.mardegan@nokia.com>

	* src/mcd-text-filter-plugin.c: (_contacts_plugin_abort):
	Fix crash when plugin_data is NULL.

2006-09-25  Alberto Mardegan  <alberto.mardegan@nokia.com>

	* src/mcd-main.c: (on_abort): We cannot assume that we are the only
	(or the last) handler for the abort signal, so we cannot destroy the
	device controller. We can just unref() our reference.

2006-09-22  Naba Kumar  <naba.kumar@nokia.com>

	* src/mcd-device-controller.c, src/mcd-text-filter-plugin.c,
	src/mcd-main.c, src/mcd-filter-common.c,
	src/mcd-voip-filter-plugin.c: Use new set/get flags api intead
	of old api. Release client references on the service on exit,
	the service object is finalized.
	
2006-09-22  Zeeshan Ali  <zeeshan.ali@nokia.com>

	* src/mcd-filter-common.c: (mcdf_validate_contact),
	(mcdf_ctx_get_channels_list):
	* src/mcd-text-filter-plugin.c:
	(mcdf_check_chat_acceptance_setting),
	(channel_matches_channel_in_handler), (is_chat_ui_running),
	(mcdf_contacts_plugin):
	* src/mcd-voip-filter-plugin.c: (check_call_acceptance_settings),
	(invoke_voipengine), (add_call_to_contacts_plugin):
        small fixes according to the recent mc API update.

2006-09-22  Alberto Mardegan  <alberto.mardegan@nokia.com>

	* src/mcd-device-controller.c: (_mcd_device_controller_dispose),
	(mcd_device_controller_init):
	* src/mcd-filter-common.c: (mcdf_validate_contact):
	* src/mcd-text-filter-plugin.c:
	(mcdf_check_chat_acceptance_setting),
	(channel_matches_channel_in_handler), (mcdf_contacts_plugin):
	* src/mcd-voip-filter-plugin.c: (check_call_acceptance_settings),
	(invoke_voipengine), (add_call_to_contacts_plugin):
	unref() all the objects obtained by a g_object_get().

2006-09-22  Naba Kumar  <naba.kumar@nokia.com>

	* src/mcd-device-controller.c: Use osso ic and libosso for
	non-arm target builds too, but assume connectivity on for non-arm
	targets (osso ic returns ERROR).
	
2006-09-21  Alberto Mardegan  <alberto.mardegan@nokia.com>

	* src/mcd-device-controller.c: (_mcd_device_controller_iap_cb),
	(_mcd_icd_status_changed_handler), (on_presence_requested),
	(_mcd_device_controller_dispose), (mcd_device_controller_init):
	If presence is requested when device is not connected to the net,
	try to bring the connection up.

2006-09-21  Naba Kumar  <naba.kumar@nokia.com>

	* mcd-device-controller.c, mcd-main.c, mcd-device-controller.h
	Makefile.am, debian/control, debian/mission-control-filters.install:
	Moved device implemenation of mission-control from
	mission control to here.

2006-09-20  Zeeshan Ali  <zeeshan.ali@nokia.com>

	* src/mcd-filter-common.c: (mcdf_ctx_get_channels_list):
	* src/mcd-filter-common.h:
	* src/mcd-text-filter-plugin.c:
	(channel_matches_channel_in_handler), (is_chat_ui_running):
        Add support for "always-on".

2006-09-12  Zeeshan Ali  <zeeshan.ali@nokia.com>

	* configure.ac:
        Add check for the telepathy version.
	* src/mcd-filter-common.c: (mcd_dispatcher_context_get_osso_ctx),
	(mcd_dispatcher_context_get_book), (mcdf_validate_contact):
        Correctly call e_book_open.

2006-09-08  Zeeshan Ali  <zeeshan.ali@nokia.com>

	* src/mcd-filter-common.c: (mcdf_validate_contact),
	(mcdf_battery_state), (mcdf_display_state), (mcdf_keylock_state),
	(mcdf_lowmem_state):
	* src/mcd-text-filter-plugin.c:
	(mcdf_check_chat_acceptance_setting), (_filter_contacts_plugin_cb),
	(mcdf_contacts_plugin):
	* src/mcd-voip-filter-plugin.c: (check_call_acceptance_settings),
	(one_call_at_a_time_filter), (invoke_voipengine),
	(lowmem_redirect_to_contacts_plugin):
        Call mcd_dispatcher_context_process rather than mcd_process_sm.

2006-09-07  Alberto Mardegan  <alberto.mardegan@nokia.com>

	* src/mcd-filter-common.c: (mcd_dispatcher_context_get_book),
	(mcd_dispatcher_context_get_osso_ctx), (mcdf_validate_contact),
	(mcdf_battery_state), (mcdf_display_state), (mcdf_keylock_state),
	(mcdf_lowmem_state), (unlock_keylock):
	* src/mcd-filter-common.h:
	* src/mcd-filter-plugins.h:
	* src/mcd-text-filter-plugin.c:
	(mcdf_check_chat_acceptance_setting), (_contacts_plugin_abort),
	(_filter_contacts_plugin_cb), (mcdf_contacts_plugin):
	* src/mcd-voip-filter-plugin.c: (check_call_acceptance_settings),
	(one_call_at_a_time_filter), (invoke_voipengine),
	(lowmem_redirect_to_contacts_plugin),
	(add_call_to_contacts_plugin):
        Update the code as all the context objects got unified into
        McdDispatcherContext in the mc.

2006-09-07  Alberto Mardegan  <alberto.mardegan@nokia.com>

	* src/mcd-filter-common.c: (unlock_keylock):
        Update locking according to the new mc API.

2006-09-07  Alberto Mardegan  <alberto.mardegan@nokia.com>

	* src/mcd-filter-common.c: (mcdf_validate_contact):
	* src/mcd-text-filter-plugin.c:
	(mcdf_check_chat_acceptance_setting), (mcdf_contacts_plugin):
	* src/mcd-voip-filter-plugin.c: (check_call_acceptance_settings),
	(invoke_voipengine), (add_call_to_contacts_plugin):
        Get the account-related info from McdConnection directly instead of
        through the removed wrapper functions.

2006-09-07  Alberto Mardegan  <alberto.mardegan@nokia.com>

	* src/mcd-filter-common.c: (mcdf_battery_state),
	(mcdf_display_state), (mcdf_keylock_state), (mcdf_lowmem_state):
	* src/mcd-voip-filter-plugin.c:
	(lowmem_redirect_to_contacts_plugin):
        Operate on McdDispatcher directly instead of the removed
        wrapper-functions in mc.

2006-09-07  Alberto Mardegan  <alberto.mardegan@nokia.com>

	* src/mcd-filter-common.c: (mcdf_keylock_state):
	* src/mcd-text-filter-plugin.c: (mcdf_contacts_plugin):
	* src/mcd-voip-filter-plugin.c: (invoke_voipengine):
        Operate on McdChannel directly instead of the removed
        wrapper-functions in mc.

2006-09-07  Alberto Mardegan  <alberto.mardegan@nokia.com>

	* src/mcd-filter-common.c: (mcdf_battery_state),
	(mcdf_display_state), (mcdf_keylock_state), (mcdf_lowmem_state):
	* src/mcd-voip-filter-plugin.c:
	(lowmem_redirect_to_contacts_plugin):
        Update the device_state code to use booleans instead of enums
        according to the new mc API.

2006-09-06  Alberto Mardegan  <alberto.mardegan@nokia.com>

        * src/mcd-filter-common.h: Include the right header file
        and some new declarations.
        
        * src/mcd-text-filter-plugin.c: Update the telepathy calls
        according to the new API.
        
        * src/Makefile.am: Turn warnings into errors so we don't miss
        anything.
        
        * src/mcd-filter-common.c: Implement _get_osso_context and use
        the new mc API.
        
        * src/mcd-voip-filter-plugin.c: Use the new mc API.

2006-09-06  Naba Kumar  <naba.kumar@nokia.com>

	* configure.in, debian/changlog, debian/control: Fixed
	mission control version dependency.

2006-09-05  Naba Kumar  <naba.kumar@nokia.com>

	* src/mcd-filter-common.h, src/mcd-filter-common.c: Fixed
	build.

2006-08-30  Naba Kumar  <naba.kumar@nokia.com>

	* src/mcd-filter-common.h, src/mcd-text-filter-plugin.c,
	src/Makefile.am, src/mcd-filter-common.c,
	src/mcd-voip-filter-plugin.c: Fixed compilation with new MC.

2006-07-20  Naba Kumar  <naba.kumar@nokia.com>

	* src/mcd-text-filter-plugin.c, src/mcd-voip-filter-plugin.c,
	src/mcd-filter-common.[c|h], src/Makefile.am, debian/rules,
	configure.ac: The filters now use the OSSO logging macros for
	debug/error logging. Synced from G.

2006-06-26  Naba Kumar  <naba.kumar@nokia.com>

	* src/mcd-voip-filter-plugin.c
	(lowmem_redirect_to_contacts_plugin): Request a system infoprint
	to display a message indicating that the call could not be
	connected due to low memory.

	* src/Makefile.am (INCLUDES): Locale directory is now defined.

	* configure.ac: Version update, some localization-related
	additions.

2006-06-14  Naba Kumar  <naba.kumar@nokia.com>

	* src/mcd-text-filter-plugin.c (mcdf_contacts_plugin,
	_contacts_plugin_abort, _filter_contacts_plugin_cb): When entering
	a group chat, the filters no longer add us to the channel, because
	chat-ui will be doing this by itself from now on.

	* src/mcd-filter-common.c (mcdf_lowmem_state): Debug output format
	argument did not match reality.

2006-06-12  Naba Kumar  <naba.kumar@nokia.com>

	* src/mcd-text-filter-plugin.c: Contacts plugin filter can
	now be aborted. Fixes bug #32438.

2006-06-07  Naba Kumar  <naba.kumar@nokia.com>

	* src/mcd-voip-filter-plugin.c: Check for lowmem state and a) do
	not create new outgoing channels b) treat incoming calls as missed
	if we're in it. Also minor refactoring.

	* src/mcd-text-filter-plugin.c: Outgoing filter chain has been
	added to allow outgoing channel requests to be dropped while in
	lowmem state.

	* src/mcd-filter-common.[c|h] (mcdf_lowmem_state): A simple filter
	to stop channel requests when we're in lowmem state.

2006-05-30  Naba Kumar  <naba.kumar@nokia.com>

	* src/mcd-filter-common.c (contact_exists): A list wasn't properly
	freed.

	* src/mcd-text-filter-plugin.c (_get_accept_known_contacts_only):
	Use g_error_free() instead of g_free().

2006-05-16  Naba Kumar  <naba.kumar@nokia.com>

	* src/mcd-voip-filter-plugin.c (check_call_acceptance_settings): 
	Part of the incoming call settings fix was lost.

2006-05-12  Naba Kumar  <naba.kumar@nokia.com>

	* src/mcd-filter-common.c (mcdf_display_state): Mission Control
	will now turn the display always on at the display state filter,
	because we lack a convenient way of knowing whether the display is
	in reduced brightness mode. The waste of resources should be
	minimal.

2006-05-09  Naba Kumar  <naba.kumar@nokia.com>

	* debian/control: Filters now depend on mission-control /
	mission-control-dev 0.27, because of some added filtering API
	functionality and definitions.

	* src/mcd-filter-common.c (unlock_keylock): When filters have
	successfully requested T&K lock to be released, Mission Control
	needs to be notified of this to distinguish between unlock events
	caused by other components and the filters.

2006-05-05  Naba Kumar  <naba.kumar@nokia.com>

	* src/mcd-voip-filter-plugin.c (check_call_acceptance_settings): 
	The switch-case for incoming call settings was slightly broken
	regarding the initial assignation of variables, causing call
	settings to be somewhat broken as well.

2006-05-02  Naba Kumar  <naba.kumar@nokia.com>

	* debian/mission-control-filters.install: The installation
	location of the plugins has been updated.

	* debian/control (Build-Depends): Updated the mission-control-dev
	build dependency to the version that includes the plugin
	installation location information.

	* configure.ac: Version number has been updated. We now use
	mission-control-dev pkgconfig file to acquire plugin installation
	location.

2006-04-25  Naba Kumar  <naba.kumar@nokia.com>

	* src/mcd-filter-common.c (unlock_keylock): Fixed the broken fix
	for bug #26434; dbus_message_append_args no locker blocks mission
	control. Spurious development debug messages removed.

2006-04-24  Naba Kumar  <naba.kumar@nokia.com>

	* src/mcd-voip-filter-plugin.c: Added the keylock state filter to
	the VOIP filter incoming filter stack.

	* src/mcd-filter-common.c (mcdf_keylock_state): If the channel
	request is for streamed media (i.e. VOIP) and keylock state is
	unknown or locked, unlock touchscreen and keypad.

	* debian/control (Build-Depends): Updated the mission-control-dev
	build dependency.

2006-04-21  Naba Kumar  <naba.kumar@nokia.com>

	* src/mcd-voip-filter-plugin.c: Fixed an incorrect GConf key name,
	which led to fix for bug 24719 breaking.

2006-04-19  Naba Kumar  <naba.kumar@nokia.com>

	* src/mcd-text-filter-plugin.c: Minor fixes to the contact
	filtering for chat privacy settings.

2006-04-18  Naba Kumar  <naba.kumar@nokia.com>

	* configure.ac: Version number updated.

	* src/mcd-filter-common.[c|h] (contact_exists): Added a new common
	helper function to determine whether a contact exists, used by
	both VOIP and text filters. Some indentation changes.

	* src/mcd-text-filter-plugin.c
	(mcdf_check_chat_acceptance_setting): Added a new filter function
	to support the chat privacy settings - based filtering.

	* src/mcd-voip-filter-plugin.c: Added support for the VOIP privacy
	settings - based filtering.

2006-04-12  Naba Kumar  <naba.kumar@nokia.com>

	* debian/control: Updated Mission Control dependency to match the
	version that has all the needed filtering API functionality.

	* src/mcd-voip-filter-plugin.c: "One call at a time" filter has
	been added to the filter stack.

	* src/mcd-filter-common.c: Contact validation has been rewritten
	due to filtering API changes and bugs in the VOIP blocking. Other
	miscellaneous fixes and cleanups.

	* src/mcd-text-filter-plugin.c (mcdf_contacts_plugin): Instead of
	generating the channel object in filters, it is retrieved from the
	context.

2006-04-05  Naba Kumar  <naba.kumar@nokia.com>

	* src/mcd-text-filter-plugin.c (_filter_contacts_plugin_cb):
	Ensure that we do pass forward on the state machine only if the
	request is actually for us. Also, we are added to the channel if
	we've been invited and user has accepted the invitation.
	(mcdf_contacts_plugin): The same changes as for the callback apply.

2006-04-04  Naba Kumar  <naba.kumar@nokia.com>

	* src/mcd-filter-common.c (mcdf_validate_contact): The vcard field
	of for the query is now retrieved with e_contact_field_from_vcard.

	* src/mcd-voip-filter-plugin.c: We register/unregister the VOIP
	filter also for outbound connections in order to allow the VOIP
	engine to be invoked then as well.

2006-04-03  Naba Kumar  <naba.kumar@nokia.com>

	* src/mcd-voip-filter-plugin.c (invoke_voipengine): The VOIP
	engine invocation is no longer synchronous. Some additional sanity
	checks added.

	* src/mcd-filter-common.c: The broken contact blocking filter has
	been updated to be hopefully less broken.

	* src/Makefile.am: The libosso-addressbook has been added to the
	list of libraries to link with.

2006-03-30  Naba Kumar  <naba.kumar@nokia.com>
	
	* *: Added initial mission-control filters build files.

	* src/mcd-filter-common.hm, src/mcd-text-filter-plugin.c
	src/mcd-filter-plugins.h, src/mcd-filter-common.c
	src/mcd-voip-filter-plugin.c: Moved the filters from
	mission-control module.

